# Interface methods for submodule: LabelObjectLine
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: LabelObjectLine
class LabelObjectLineProxy():
	def SetIndex(self, idx: Sequence[int]) -> None:
		""""""
		...

	def GetIndex(self) -> Sequence[int]:
		""""""
		...

	def SetLength(self, length: int) -> None:
		""""""
		...

	def GetLength(self) -> int:
		""""""
		...

	def HasIndex(self, idx: Sequence[int]) -> bool:
		""""""
		...

	def IsNextIndex(self, idx: Sequence[int]) -> bool:
		""""""
		...

	def Print(self, os, indent = 0) -> None:
		""""""
		...

